<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::Test Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1Test.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">testing::Test Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Inherited by <a class="el" href="classtesting_1_1TestWithParam.html">testing::TestWithParam&lt; std::string &gt;</a>, <a class="el" href="classtesting_1_1TestWithParam.html">testing::TestWithParam&lt; int &gt;</a>, <a class="el" href="classtesting_1_1TestWithParam.html">testing::TestWithParam&lt; MyType &gt;</a>, <a class="el" href="classtesting_1_1TestWithParam.html">testing::TestWithParam&lt; MyEnums &gt;</a>, <a class="el" href="classFooTest.html">FooTest</a>, <a class="el" href="classCommonTest.html">CommonTest&lt; T &gt;</a>, <a class="el" href="classContainerTest.html">ContainerTest&lt; T &gt;</a>, <a class="el" href="classDetectNotInstantiatedTypesTest.html">DetectNotInstantiatedTypesTest&lt; T &gt;</a>, <a class="el" href="classDynamicFixture.html">DynamicFixture</a>, <a class="el" href="classDynamicUnitTestFixture.html">DynamicUnitTestFixture</a>, <a class="el" href="classExpectFailureTest.html">ExpectFailureTest</a>, <a class="el" href="classFatalFailureInFixtureConstructorTest.html">FatalFailureInFixtureConstructorTest</a>, <a class="el" href="classFatalFailureInSetUpTest.html">FatalFailureInSetUpTest</a>, <a class="el" href="classFooTest.html">FooTest</a>, <a class="el" href="classFooTestFixture.html">FooTestFixture</a>, <a class="el" href="classGMockOutputTest.html">GMockOutputTest</a>, <a class="el" href="classMacroNamingTestNonParametrized.html">MacroNamingTestNonParametrized</a>, <a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, <a class="el" href="classMediaReaderTest.html">MediaReaderTest</a>, <a class="el" href="classNonFatalFailureInFixtureConstructorTest.html">NonFatalFailureInFixtureConstructorTest</a>, <a class="el" href="classNonFatalFailureInSetUpTest.html">NonFatalFailureInSetUpTest</a>, <a class="el" href="classNonParameterizedBaseTest.html">NonParameterizedBaseTest</a>, <a class="el" href="classPredicate1Test.html">Predicate1Test</a>, <a class="el" href="classPredicate2Test.html">Predicate2Test</a>, <a class="el" href="classPredicate3Test.html">Predicate3Test</a>, <a class="el" href="classPredicate4Test.html">Predicate4Test</a>, <a class="el" href="classPredicate5Test.html">Predicate5Test</a>, <a class="el" href="classPropertyOne.html">PropertyOne</a>, <a class="el" href="classPropertyTwo.html">PropertyTwo</a>, <a class="el" href="classProtectedFixtureMethodsTest.html">ProtectedFixtureMethodsTest</a>, <a class="el" href="classSetupFailTest.html">SetupFailTest</a>, <a class="el" href="classTEST__F__before__TEST__in__same__test__case.html">TEST_F_before_TEST_in_same_test_case</a>, <a class="el" href="classTEST__before__TEST__F__in__same__test__case.html">TEST_before_TEST_F_in_same_test_case</a>, <a class="el" href="classTearDownFailTest.html">TearDownFailTest</a>, <a class="el" href="classTypeParamTest.html">TypeParamTest&lt; T &gt;</a>, <a class="el" href="classTypeParameterizedTestSuite.html">TypeParameterizedTestSuite&lt; T &gt;</a>, <a class="el" href="classTypeParametrizedTestWithNames.html">TypeParametrizedTestWithNames&lt; T &gt;</a>, <a class="el" href="classTypedTest.html">TypedTest&lt; T &gt;</a>, <a class="el" href="classTypedTest.html">TypedTest&lt; T &gt;</a>, <a class="el" href="classTypedTest.html">TypedTest&lt; T &gt;</a>, <a class="el" href="classTypedTest1.html">TypedTest1&lt; T &gt;</a>, <a class="el" href="classTypedTest2.html">TypedTest2&lt; T &gt;</a>, <a class="el" href="classTypedTestP.html">TypedTestP&lt; T &gt;</a>, <a class="el" href="classTypedTestP1.html">TypedTestP1&lt; T &gt;</a>, <a class="el" href="classTypedTestP2.html">TypedTestP2&lt; T &gt;</a>, <a class="el" href="classTypedTestSuitePStateTest.html">TypedTestSuitePStateTest</a>, <a class="el" href="classTypedTestWithNames.html">TypedTestWithNames&lt; T &gt;</a>, <a class="el" href="classTypedTestWithNames.html">TypedTestWithNames&lt; T &gt;</a>, <a class="el" href="classbar_1_1MixedUpTestSuiteTest.html">bar::MixedUpTestSuiteTest</a>, <a class="el" href="classbar_1_1MixedUpTestSuiteWithSameTestNameTest.html">bar::MixedUpTestSuiteWithSameTestNameTest</a>, <a class="el" href="classfoo_1_1MixedUpTestSuiteTest.html">foo::MixedUpTestSuiteTest</a>, <a class="el" href="classfoo_1_1MixedUpTestSuiteWithSameTestNameTest.html">foo::MixedUpTestSuiteWithSameTestNameTest</a>, <a class="el" href="classlibrary1_1_1NumericTest.html">library1::NumericTest&lt; T &gt;</a>, <a class="el" href="classlibrary2_1_1NumericTest.html">library2::NumericTest&lt; T &gt;</a>, <a class="el" href="classlibrary2_1_1TrimmedTest.html">library2::TrimmedTest&lt; T &gt;</a>, <a class="el" href="classtesting_1_1CodeLocationForTESTF.html">testing::CodeLocationForTESTF</a>, <a class="el" href="classtesting_1_1CodeLocationForTYPEDTEST.html">testing::CodeLocationForTYPEDTEST&lt; T &gt;</a>, <a class="el" href="classtesting_1_1CodeLocationForTYPEDTESTP.html">testing::CodeLocationForTYPEDTESTP&lt; T &gt;</a>, <a class="el" href="classtesting_1_1CurrentTestInfoTest.html">testing::CurrentTestInfoTest</a>, <a class="el" href="classtesting_1_1ParseFlagsTest.html">testing::ParseFlagsTest</a>, <a class="el" href="classtesting_1_1SetUpTestCaseTest.html">testing::SetUpTestCaseTest</a>, <a class="el" href="classtesting_1_1SetUpTestSuiteTest.html">testing::SetUpTestSuiteTest</a>, <a class="el" href="classtesting_1_1TestInfoTest.html">testing::TestInfoTest</a>, <a class="el" href="classtesting_1_1TestWithParam.html">testing::TestWithParam&lt; T &gt;</a>, <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1ExpectCallTest.html">testing::gmock_function_mocker_test::ExpectCallTest&lt; T &gt;</a>, <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1FunctionMockerTest.html">testing::gmock_function_mocker_test::FunctionMockerTest&lt; T &gt;</a>, <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1MockMethodMockFunctionSignatureTest.html">testing::gmock_function_mocker_test::MockMethodMockFunctionSignatureTest&lt; F &gt;</a>, <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1OverloadedMockMethodTest.html">testing::gmock_function_mocker_test::OverloadedMockMethodTest&lt; T &gt;</a>, <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1TemplateMockTest.html">testing::gmock_function_mocker_test::TemplateMockTest&lt; T &gt;</a>, <a class="el" href="classtesting_1_1internal_1_1ListenerTest.html">testing::internal::ListenerTest</a>, <a class="el" href="classtesting_1_1internal_1_1TestSuiteWithCommentTest.html">testing::internal::TestSuiteWithCommentTest&lt; T &gt;</a>, <a class="el" href="classtesting_1_1internal_1_1UnitTestRecordPropertyTestHelper.html">testing::internal::UnitTestRecordPropertyTestHelper</a>, <a class="el" href="classworks__here_1_1NotInstantiatedTypeTest.html">works_here::NotInstantiatedTypeTest&lt; T &gt;</a>, and <a class="el" href="classworks__here_1_1NotUsedTypeTest.html">works_here::NotUsedTypeTest&lt; T &gt;</a>.</p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae173b07a0fdd09fc1d417a2bb6cbdd76"><td class="memItemLeft" align="right" valign="top"><a id="ae173b07a0fdd09fc1d417a2bb6cbdd76"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUpTestSuite</b> ()</td></tr>
<tr class="separator:ae173b07a0fdd09fc1d417a2bb6cbdd76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7704c8223ba28338a66ca2eaeba66383"><td class="memItemLeft" align="right" valign="top"><a id="a7704c8223ba28338a66ca2eaeba66383"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>TearDownTestSuite</b> ()</td></tr>
<tr class="separator:a7704c8223ba28338a66ca2eaeba66383"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af374706cbaf0ffc460f4fd04e7c150f1"><td class="memItemLeft" align="right" valign="top"><a id="af374706cbaf0ffc460f4fd04e7c150f1"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>TearDownTestCase</b> ()</td></tr>
<tr class="separator:af374706cbaf0ffc460f4fd04e7c150f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ccbac42fee8c5b00b0bfe89b6c49d79"><td class="memItemLeft" align="right" valign="top"><a id="a5ccbac42fee8c5b00b0bfe89b6c49d79"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUpTestCase</b> ()</td></tr>
<tr class="separator:a5ccbac42fee8c5b00b0bfe89b6c49d79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e83604628ef542af888d631566ff60c"><td class="memItemLeft" align="right" valign="top"><a id="a5e83604628ef542af888d631566ff60c"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasFatalFailure</b> ()</td></tr>
<tr class="separator:a5e83604628ef542af888d631566ff60c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c00e8cc6fe10616b480bd54d2a426cb"><td class="memItemLeft" align="right" valign="top"><a id="a8c00e8cc6fe10616b480bd54d2a426cb"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasNonfatalFailure</b> ()</td></tr>
<tr class="separator:a8c00e8cc6fe10616b480bd54d2a426cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f0ada5dbc9e772acb2b6cd0b1b300d7"><td class="memItemLeft" align="right" valign="top"><a id="a7f0ada5dbc9e772acb2b6cd0b1b300d7"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsSkipped</b> ()</td></tr>
<tr class="separator:a7f0ada5dbc9e772acb2b6cd0b1b300d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a00be7dd0a6bfdc8d47a1b784623613"><td class="memItemLeft" align="right" valign="top"><a id="a7a00be7dd0a6bfdc8d47a1b784623613"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasFailure</b> ()</td></tr>
<tr class="separator:a7a00be7dd0a6bfdc8d47a1b784623613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1559ce1c83f56993b582650c091535a7"><td class="memItemLeft" align="right" valign="top"><a id="a1559ce1c83f56993b582650c091535a7"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>RecordProperty</b> (const std::string &amp;key, const std::string &amp;value)</td></tr>
<tr class="separator:a1559ce1c83f56993b582650c091535a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a373da47b491b1e64e355d22d6ec99b5b"><td class="memItemLeft" align="right" valign="top"><a id="a373da47b491b1e64e355d22d6ec99b5b"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>RecordProperty</b> (const std::string &amp;key, int value)</td></tr>
<tr class="separator:a373da47b491b1e64e355d22d6ec99b5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a190315150c303ddf801313fd1a777733"><td class="memItemLeft" align="right" valign="top"><a id="a190315150c303ddf801313fd1a777733"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUp</b> ()</td></tr>
<tr class="separator:a190315150c303ddf801313fd1a777733"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f0ab439802cbe0ef7552f1a9f791923"><td class="memItemLeft" align="right" valign="top"><a id="a5f0ab439802cbe0ef7552f1a9f791923"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>TearDown</b> ()</td></tr>
<tr class="separator:a5f0ab439802cbe0ef7552f1a9f791923"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a4c49c2cdb6c328e6b709b4542f23de3c"><td class="memItemLeft" align="right" valign="top"><a id="a4c49c2cdb6c328e6b709b4542f23de3c"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>TestInfo</b></td></tr>
<tr class="separator:a4c49c2cdb6c328e6b709b4542f23de3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="gtest_8h_source.html">gtest.h</a></li>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="classtesting_1_1Test.html">Test</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
